<?php
/**
 * All settings related to footer recommended post.
 *
 * @package NextZenMag
 */
$wp_customize->add_section(
	'article_group',
	array(
		'title' => esc_html__( 'Article Group Section', 'nextzenmag' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'nextzenmag_options[enable_article_group]',
    array(
        'default'           => $nextzenmag_default['enable_article_group'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_article_group]',
    array(
        'label'       => esc_html__( 'Enable Article Group Post', 'nextzenmag' ),
        'section'     => 'article_group',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[article_group_title]',
    array(
        'default' => $nextzenmag_default['article_group_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[article_group_title]',
    array(
        'label' => __('Section Title', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_article_group_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_article_group_1',
        array(
            'label'         => esc_html__( 'Article Group Column - 1', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_article_group_1',
            'section' => 'article_group',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[article_group_category]',
    array(
        'default'           => $nextzenmag_default['article_group_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[article_group_category]',
        array(
            'label'           => __( 'Choose Column - 1 Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'article_group',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_article_group_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_article_group_2',
        array(
            'label'         => esc_html__( 'Article Group Column - 2', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_article_group_2',
            'section' => 'article_group',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[article_group_slider_category]',
    array(
        'default'           => $nextzenmag_default['article_group_slider_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[article_group_slider_category]',
        array(
            'label'           => __( 'Choose Column - 2 Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'article_group',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_article_group_meta',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_article_group_meta',
        array(
            'label'         => esc_html__( 'Article Group Meta Option', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_article_group_meta',
            'section' => 'article_group',
        )
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[enable_article_group_author_meta]',
    array(
        'default' => $nextzenmag_default['enable_article_group_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_article_group_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_author_meta]',
    array(
        'default' => $nextzenmag_default['select_article_group_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'select',
        'choices' => nextzenmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[article_group_author_meta_title]',
    array(
        'default' => $nextzenmag_default['article_group_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[article_group_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_article_group_date_meta]',
    array(
        'default' => $nextzenmag_default['enable_article_group_date_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_article_group_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_date]',
    array(
        'default' => $nextzenmag_default['select_article_group_date'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'select',
        'choices' => nextzenmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_date_meta_title]',
    array(
        'default' => $nextzenmag_default['select_article_group_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_date_format]',
    array(
        'default' => $nextzenmag_default['select_article_group_date_format'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'select',
        'choices' => nextzenmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_article_group_category_meta]',
    array(
        'default' => $nextzenmag_default['enable_article_group_category_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_article_group_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_number_of_category]',
    array(
        'default' => $nextzenmag_default['select_article_group_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_number_of_category]',
    array(
        'label' => __('Number of Category', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[article_group_category_label]',
    array(
        'default' => $nextzenmag_default['article_group_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[article_group_category_label]',
    array(
        'label' => __('Category Label', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[select_article_group_category_color]',
    array(
        'default' => $nextzenmag_default['select_article_group_category_color'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_article_group_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'nextzenmag'),
        'section' => 'article_group',
        'type' => 'select',
        'choices' => nextzenmag_category_color(),
    )
);